# eric4.Preferences.ConfigurationPages.EditorAutocompletionPage

Module implementing the Editor Autocompletion configuration page.

### Classes

EditorAutocompletionPage | Class implementing the Editor Autocompletion configuration page.

### Functions

create | Module function to create the configuration page.

## EditorAutocompletionPage

Class implementing the Editor Autocompletion configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorAutocompletionPage

### Methods

EditorAutocompletionPage | Constructor
save | Public slot to save the Editor Autocompletion configuration.

#### EditorAutocompletionPage (Constructor)

EditorAutocompletionPage()

Constructor

#### EditorAutocompletionPage.save

save()

Public slot to save the Editor Autocompletion configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up